package com.zanxiang.game.module.manage.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2023-11-29
 * @description : 客服接口行为枚举
 */
@Getter
@AllArgsConstructor
public enum KfActionEnum {

    /**
     * 客服在线状态更改
     */
    UPDATE_KF_ACCT("update_kf_acct"),

    /**
     * 获取客服信息
     */
    GET_KF_ACCT("get_kf_acct"),

    /**
     * 获取待接入信息列表
     */
    BATCH_GET_NO_SESSION_EXTRA_INFO("batch_get_nosession_extra_info"),

    /**
     * 接入房间会话
     */
    ACCEPT_ROOM("accept_room"),

    /**
     * 初始化房间 可获取房间最近的msgID
     */
    GET_ROOM_INFO("get_room_info"),

    /**
     * 获取房间消息
     */
    GET_ROOM_MSG("get_room_msg"),

    /**
     * 获取房间用户标签
     */
    GET_USER_TAG("get_user_tag"),

    /**
     * 每次发送消息前获取msgID
     */
    GET_MSG_ID("get_msg_id"),

    /**
     * 发送会话
     */
    SEND_ROOM_MSG("send_room_msg"),

    /**
     * 结束房间会话
     */
    END_ROOM("end_room"),

    /**
     * 已接入列表
     */
    GET_SESSION_SUMMARY("get_session_summary"),

    /**
     * 上传图片
     */
    UPLOAD_PIC_MSG("upload_pic_msg"),

    /**
     * 删除快捷回复分组
     */
    DELETE_KF_FAST_REPLY_GROUP("delete_kf_fast_reply_group"),

    /**
     * 新增快捷回复分组
     */
    ADD_KF_FAST_REPLY_GROUP("add_kf_fast_reply_group"),

    /**
     * 分组内新增快捷回复文本
     */
    SET_KF_FAST_REPLY("set_kf_fast_reply"),

    /**
     * 分组内删除快捷回复文本
     */
    DEL_KF_FAST_REPLY("del_kf_fast_reply"),

    /**
     * 删除快捷回复分组
     */
    GET_KF_FAST_REPLY_GROUP("get_kf_fast_reply_group"),

    /**
     * 获取快捷回复分组列表
     */
    GET_KF_FAST_REPLY("get_kf_fast_reply");

    /**
     * 接口行为
     */
    private String value;
}
